curl
curl -sS "https://gateway.orbit/api/v1/tools?node_id=7" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"node_id": 123,
"manager": "<string>",
"package": "<string>",
"version_constraint": "<string>",
"status": "installing",
"installed_version": "<string>",
"failed_operation": "<string>",
"error_code": "<string>",
"outcome": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Tools
List Tools
List tools for a node.
GET
/
api
/
v1
/
tools
curl
curl -sS "https://gateway.orbit/api/v1/tools?node_id=7" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"node_id": 123,
"manager": "<string>",
"package": "<string>",
"version_constraint": "<string>",
"status": "installing",
"installed_version": "<string>",
"failed_operation": "<string>",
"error_code": "<string>",
"outcome": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}